Auth
Update profile
Update profile.
Authorization
HTTPBearer AuthorizationBearer <token>
JWT access token
In: header
Query Parameters
merchant_id?|
Optional merchant to act on. Must be one you are a member of.
Format
uuidHeader Parameters
X-Merchant-ID?string|null
Request Body
application/json
avatar_url?string|null
full_name?|
Length
2 <= length <= 160phone?|
Length
length <= 32Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/v1/auth/me" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "avatar_url": "string", "created_at": "2019-08-24T14:15:22Z", "email": "user@example.com", "email_verified": false, "full_name": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_login_at": "2019-08-24T14:15:22Z", "phone": "string", "status": "string" }, "meta": {}, "success": true}Current user GET
The signed-in user, their active merchant, role and effective permissions. Permissions are for rendering only - the backend re-checks every request.
Rotate the session POST
Issues a new access token and rotates the refresh token. Reusing an already rotated token revokes the whole token family.